Skip to content
storefronts / Page templates
POST/api/page-template-entries

Create Page Template Entry

Creates a page-template entry for a project owned by the authenticated user, resolving and storing its variable values.

GETPOST

Authentication

Requirement
Required
Credential type
session
Scopes
Not specified

Permissions

  • Requires an authenticated storefront session.

Headers

Path Parameters

Query Parameters

Request Body

Schema: CreateEntryBody

FieldRequiredTypeDetails
project_idNointeger
Description: Target project identifier.
template_idYesinteger
Description: Identifier for template.
titleYesstring
Description: Display title.
slugNostring
Description: URL-safe slug value.
routeYesstring
Description: Text value.
statusNostring
Description: Resource status value.
meta_titleNostring
Description: Display title.
meta_descriptionNostring
Description: Text value.
schema_jsonNostring
Description: Text value.
faq_configNoJSON
Description: JSON object.
valuesNoobject
Description: JSON object.

Response Body

Example 200 response

json
{
  "id": 1,
  "project_id": 1,
  "template_id": 1,
  "title": "Example",
  "slug": "example-slug",
  "route": "string",
  "status": "active",
  "meta_title": "string",
  "meta_description": "string",
  "schema_json": "string",
  "faq_config": {},
  "values": {},
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}

Errors

400 entry_title_required400 page_link_invalid400 page_template_required_value_missing400 project_id_required400 template_project_mismatch404 page_template_not_found404 project_not_found500 page_template_entry_create_failed

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified